Imports IntraSell_DLL
Imports IntraSell_Net_Base
Public Class Lieferant
    Inherits AbstractForm

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub

    Private Sub BindingNavigatorSaveItem_Click(sender As Object, e As System.EventArgs) Handles MyBase.Save
        Try
            Validate()
            LieferantenadressenBindingSource.EndEdit()
            LieferantenadressenTableAdapter.Update(DsLieferanten1)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub Lieferant_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load

        Try
            LieferantenadressenTableAdapter.Fill(DsLieferanten1.lieferantenadressen)
            ParentBindingNavigator.BindingSource = LieferantenadressenBindingSource
            ds = DsLieferanten1

            'Me.AdressenDetailControl1.Init()
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    ''' <summary>
    ''' Die Datensätze filtern
    ''' </summary>
    ''' <param name="Expression"></param>
    ''' <remarks></remarks>
    Public Sub FilterBy(Expression As String)
        Try
            LieferantenadressenBindingSource.Filter = Expression
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

End Class